Subject: bug#53180: closed (Re: bug#53180: eog 40.3 build error: include file not found)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 13 Jan 2022 12:33:02 +0000

Your bug report

#53180: eog 40.3 build error: include file not found

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
53180: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=53180
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#53180: eog 40.3 build error: include file not found
From: Mathieu Othacehe <[email-masked]>
To: Pierre Langlois <[email-masked]>
Cc: raid5atemyhomework <[email-masked]>, [email-masked], [email-masked], [email-masked]
Date: Thu, 13 Jan 2022 13:31:57 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

> Yeah nautilus doesn't build at the moment for a similar reason as eog, I
> just posted a patch on https://issues.guix.gnu.org/53195 to fix it. I
> can push it shortly.

Closing, thanks for fixing it Pierre.

Mathieu

Subject: eog 40.3 build error: include file not found
From: raid5atemyhomework <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Tue, 11 Jan 2022 05:46:17 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

On guix `83abdc8371d90b6d4591a69fae5585a2a99c1627`, I get a build error for eog 40.3 while trying to upgrade my system that has `gnome-desktop-service-type` installed.

```
[52/70] Compiling C object src/libeog.so.p/eog-util.c.o
FAILED: src/libeog.so.p/eog-util.c.o
../eog-40.3/src/eog-util.c:48:10: fatal error: libportal/portal-gtk3.h: No such file or directory
   48 | #include <libportal/portal-gtk3.h>
      |          ^~~~~~~~~~~~~~~~~~~~~~~~~
compilation terminated.
```

Here is my `uname -a`:

```
$ uname -a
Linux kaguya 5.10.89-gnu1 #1 SMP 1 x86_64 GNU/Linux
```

My system is configured to use substitutes from either SJTU or the default Guix substitutes server, so the fact that I am compiling instead of getting a substitute suggests that even the substitutes server is not compiling this package, either.

Thanks
raid5atemyhomework